Bug 1313626 - Unparseable model name if user changes odata4 context root
Unparseable model name if user changes odata4 context root
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 00:53 EST by Juraj Duráni
Modified: 2016-08-24 07:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:45:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4007 Major Closed Unparseable model name if user changes odata4 context root 2017-03-23 15:43 EDT

  None (edit)
Description Juraj Duráni 2016-03-02 00:53:42 EST
Description of problem:

If user changes root context of odata4 service, Teiid does not parse model name from the URI and throws TEIID16022 instead.


- change user context in olingo war archive (in jboss-web.xml)
- add vdb-name and vdb-version init-params to olingo war archive (in web.xml)
- deploy updated war archive and try to access VDB
  -http://my.host:8080/mycontextroot/MyModel/
Comment 1 JBoss JIRA Server 2016-03-02 08:05:55 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4007 to Resolved
Comment 2 Van Halbert 2016-03-09 10:53:40 EST
Included in ER1.2 build.
Comment 3 JBoss JIRA Server 2016-06-15 08:37:06 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4007 to Closed

Note You need to log in before you can comment on or make changes to this bug.